org.bouncycastle.asn1.x509

## Class AttributeCertificate

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.AttributeCertificate

All Implemented Interfaces:
  DEREncodable

    public class AttributeCertificate
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`AttributeCertificate(ASN1Sequence seq)`
`AttributeCertificate(AttributeCertificateInfo acinfo, AlgorithmIdentifier signatureAlgorithm, DERBitString signatureValue)`

### Method Summary

Methods
`AttributeCertificateInfo` `getAcinfo()`
`static AttributeCertificate` `getInstance(java.lang.Object obj)`
`AlgorithmIdentifier` `getSignatureAlgorithm()`
`DERBitString` `getSignatureValue()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AttributeCertificate

    public AttributeCertificate(AttributeCertificateInfo acinfo,
                        AlgorithmIdentifier signatureAlgorithm,
                        DERBitString signatureValue)

#### AttributeCertificate

    public AttributeCertificate(ASN1Sequence seq)

### Method Detail

#### getInstance

    public static AttributeCertificate getInstance(java.lang.Object obj)

Parameters:
  `obj` -
Returns:
  an AttributeCertificate object

#### getAcinfo

    public AttributeCertificateInfo getAcinfo()

#### getSignatureAlgorithm

    public AlgorithmIdentifier getSignatureAlgorithm()

#### getSignatureValue

    public DERBitString getSignatureValue()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

      AttributeCertificate ::= SEQUENCE {
           acinfo               AttributeCertificateInfo,
           signatureAlgorithm   AlgorithmIdentifier,
           signatureValue       BIT STRING
      }

Specified by:
  `toASN1Object` in class `ASN1Encodable`